Subject: Re: [PATCH updated] git wrapper: DWIM mistyped commands

From: Alex Riesen <[email-masked]>
Date: Sun, 31 Aug 2008 15:57:17 +0200

Mikael Magnusson, Sat, Aug 30, 2008 12:33:26 +0200:
> 2008/8/30 Alex Riesen <[email-masked]>:
> > 2008/8/29 Mikael Magnusson <[email-masked]>:
> >> I merged the branch in pu into next, which I think should work, but I get
> >> these segfaults for some commands... I tried running in gdb but even with
> >
> > Can't reproduce in master, will try with next later, am busy right now, sorry.
> >
> >> -g3 I only get nonsense backtraces, not sure why.
> >
> > Remove -O2 from CFLAGS:
> >
> >  $ make CFLAGS="-O0 -ggdb"
> 
> Hm, I only had CFLAGS set in the env, maybe that's not enough, or maybe it

The make variables set in Makefile take precedence over the variables
with same names in environment (see make(1), "-e" option).

> was that I had it set to -gdwarf-2 -g3 instead of -ggdb3. At any rate, I got
> this now:
> 
> % git fotch
> Program received signal SIGSEGV, Segmentation fault.
> [Switching to Thread 0xa7ce56c0 (LWP 13043)]
> 0x41b61490 in ?? () from /lib/libc.so.6
> (gdb) bt
> #0  0x41b61490 in ?? () from /lib/libc.so.6
> #1  0x41b634b0 in realloc () from /lib/libc.so.6
> #2  0x41b62fdb in malloc () from /lib/libc.so.6
> #3  0x080f63e6 in xmalloc (size=24) at wrapper.c:20
> #4  0x080f6471 in xmemdupz (data=0x816a44f, len=23) at wrapper.c:45
> #5  0x080f64e9 in xstrndup (str=0x816a44f "refs/remotes/origin/man",
> len=23) at wrapper.c:54
> #6  0x080dc05c in parse_refspec_internal (nr_refspec=6,
> refspec=0x816a010, fetch=1, verify=0)
>     at remote.c:505

Looks like heap corruption. See that patch I sent today.